import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
  },
  {
    label: 'ID',
    prop: 'id',
  },
  {
    label: '消息标题',
    prop: 'title',
  },
  {
    label: '消息状态',
    prop: 'status',
    render(record) {
      return h('span', record.row.status === 1 ? '已读' : '未读');
    },
  },
  {
    label: '创建人',
    prop: 'createUser',
  },
  {
    label: '创建时间',
    prop: 'createTime',
  },
];
